package data

// TODO docstring
type IDatastore interface {
    Set(key string, val string) error
    KeyExists(key string)       (bool, error)
    Get(key string)             (string, error)
    GetAll()                    (map[string]string, error)
    GetAllKeys()                (map[string]bool, error)
    Delete(key string)          error
}
